Subject: Re: bug#76231: Jami 20240524.0 not working on Guix System but working on foreign distro

From: Divya Ranjan <[email-masked]>
Date: Mon, 17 Feb 2025 11:43:42 +0000

Hello Maxim,

> I'm guessing it's simply getting a bit dated?  In my experience, as soon
> as you fall one on a few stable releases behind, you start experimenting
> more problems.  I'm not sure if Jami is supposed to be backward
> compatible with previous versions, but even if it was, it's probably not
> super well tested.

Right, make sense. I check the logs and realized it’s actually packaging an old commit.

> I'd suggest updating it (but as you noted, that's sadly often not
> trivial).  I could provide some assistance if you'd like to pick up its
> maintenance.

Well, to be honest, I don’t exactly piece together how Jami gets packaged on Guix? Also, why do we need to package ffmpeg-jami separately? Can you give a brief idea of how it is packaged currently, and what are the caveats? I have a hunch that it should/can be done better, but not sure how exactly.

Regards,
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A